
Foreman - Bug #37156

Pin victory-core to pre-36.9.0

02/09/2024 06:04 PM - Samir Jha

Status: Closed   

Priority: Normal   

Assignee: Samir Jha   

Category: Web Interface   

Target version:    

Difficulty: trivial Fixed in Releases: 3.10.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10043

  

Description

import { ChartPie } from '@patternfly/react-charts';

fails with

TypeError: Cannot read property 'primitiveProps' of undefined

at Object.<anonymous> (../foreman/node_modules/@patternfly/react-charts/src/components/ChartCursor

Tooltip/ChartCursorFlyout.tsx:111:18)

      at Object.<anonymous> (../foreman/node_modules/@patternfly/react-charts/src/components/Chart

CursorTooltip/index.ts:1:1)

This is probably the package victory-core had a new release 36.9.0 which includes this change:

FormidableLabs/victory#2758

which seems to break the use of CommonProps.   

Refer to PF issue: https://github.com/patternfly/patternfly-react/issues/10064

Related issues:

Related to Foreman - Bug #37255: _victoryCore.Helpers.isFunction is not a fun... Closed

Associated revisions

Revision f3be1e5d - 02/14/2024 03:56 PM - Samir Jha 

Fixes #37156 - Pin victory-core to 36.8.z

History

#1 - 02/09/2024 06:05 PM - Samir Jha

- Subject changed from Pin victory-core to  to Pin victory-core to pre-36.9.0

#2 - 02/09/2024 06:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Samir Jha

- Pull request https://github.com/theforeman/foreman/pull/10043 added

#3 - 02/14/2024 03:56 PM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#4 - 02/14/2024 04:00 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|f3be1e5d57891fb8fd3ef4de51e081c844c688b9.

#5 - 03/13/2024 03:27 PM - Evgeni Golov
https://github.com/patternfly/patternfly-react/issues/10064
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/f3be1e5d57891fb8fd3ef4de51e081c844c688b9


- Related to Bug #37255: _victoryCore.Helpers.isFunction is not a function added
